Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class OSCIMsgBoxFetchRequest

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage
          eu.osci.messagetypes.OSCIRequestParent
              eu.osci.messagetypes.OSCIMsgBoxFetchRequest

    public class OSCIMsgBoxFetchRequest

extends OSCIRequestParent

This class represents the OSCIMsgBoxFetchRequest message out of the specification. It will send the correct OSCI SOAP message with the given selection rules and offers the first matching OSCI message as response.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary

Fields inherited from class eu.osci.messagetypes.OSCIMessage
`text`

Constructor Summary
`OSCIMsgBoxFetchRequest(EndpointLocator _endpointLocator, javax.xml.ws.WebServiceFeature... _features)` Constructor for endpointLocator parameter with all necessary information.
`OSCIMsgBoxFetchRequest(OSCIRequestParent parent)` This constructor is normally used by the client.
`OSCIMsgBoxFetchRequest(java.net.URL _wsdlURL, javax.xml.namespace.QName _serviceQName, javax.xml.namespace.QName _portQName, javax.xml.ws.WebServiceFeature... _features)` Constructor with the necessary parameters.

Method Summary
`org.w3._2005._08.addressing.MetadataType` | `getMetaData()` Returns the set MetaDataType of the incoming message.
`eu.osci.ws._2008._05.transport.MsgBoxRequestType` | `getMsgBoxRequest()` For internal usage only!
`OSCIMsgBoxFetchResponse` | `sendRequest()` Sends the request to present server.
`void` | `setMsgBoxRequest(eu.osci.ws._2008._05.transport.MsgBoxRequestType _msgBoxRequest)` This method could be used if there is no setSelection* method that can be used.
`void` | `setReplyTo(org.w3._2005._08.addressing.EndpointReferenceType _replyTo)` Sets the addressing 'ReplyTo' attribute on the OSCI message.
`void` | `setSelectionAll(boolean onlyNewElements, org.w3._2005._08.addressing.EndpointReferenceType endpoint)` Selects OSCI messages from the configured endpoint.
`void` | `setSelectionByDate(java.util.Date from, java.util.Date to, boolean onlyNewElements, org.w3._2005._08.addressing.EndpointReferenceType endpoint)` Selects the OSCI messages from the given endpoint by using the creation time of the stored messages.
`void` | `setSelectionByMessageId(java.lang.String[] messageIDList, org.w3._2005._08.addressing.EndpointReferenceType endpoint)` Selects the message by giving the messageId directly.
`void` | `setSelectionByRelatesTo(java.lang.String[] relatesToList, org.w3._2005._08.addressing.EndpointReferenceType endpoint)` Selects OSCI messages by using the addressing 'RelatesTo' attribute.

Methods inherited from class eu.osci.messagetypes.OSCIRequestParent
`getFaultTo, getFetchIteratorID, getFrom, getReplyTo, getTypeOfBusinessScenario, setFaultTo, setFrom, setTypeOfBusinessScenario`

Methods inherited from class eu.osci.messagetypes.OSCIMessage
`getAction, getAdditionalHeaderList, getMessageId, getTo, setAction, setAdditionalHeaderList, setMessageId, setTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIMsgBoxFetchRequest

    public OSCIMsgBoxFetchRequest(java.net.URL _wsdlURL,
                                  javax.xml.namespace.QName _serviceQName,
                                  javax.xml.namespace.QName _portQName,
                                  javax.xml.ws.WebServiceFeature... _features)

  Constructor with the necessary parameters. The URL to the WSDL is given and the service and port out of it.

  Parameters:
    `_wsdlURL` - The URL to the WSDL.
    `_serviceQName` - The service that will be used.
    `_portQName` - The port name that will be used
    `_features` - To add other features for the endpoint (see Metro Api-Doc).

### OSCIMsgBoxFetchRequest

    public OSCIMsgBoxFetchRequest(OSCIRequestParent parent)

  This constructor is normally used by the client. The previous request will be given as parameter.

  Parameters:
    `parent` - The previous request.

### OSCIMsgBoxFetchRequest

    public OSCIMsgBoxFetchRequest(EndpointLocator _endpointLocator,
                                  javax.xml.ws.WebServiceFeature... _features)

  Constructor for endpointLocator parameter with all necessary information.

  Parameters:
    `_endpointLocator` - The configured endpoint locator object.
    `_features` - To add other features for the endpoint (see Metro Api-Doc).

Method Detail

### getMsgBoxRequest

    public eu.osci.ws._2008._05.transport.MsgBoxRequestType getMsgBoxRequest()

  For internal usage only!

### setMsgBoxRequest

    public void setMsgBoxRequest(eu.osci.ws._2008._05.transport.MsgBoxRequestType _msgBoxRequest)

  This method could be used if there is no setSelection* method that can be used.

  Parameters:
    `_msgBoxRequest` - The preconfigured request selections.

### getMetaData

    public org.w3._2005._08.addressing.MetadataType getMetaData()

  Returns the set MetaDataType of the incoming message.

### sendRequest

    public OSCIMsgBoxFetchResponse sendRequest()
                                        throws javax.xml.bind.JAXBException,
                                               OSCIException

  Sends the request to present server. A SOAP message will be sent and the response message with the fetched message will be created. Before this method can be used a 'setSelection*' method must be called.

  Returns:
    The created response message.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing or serialisation errors.
    `OSCIException` - In the case of OSCI SOAP Faults.

### setReplyTo

    public void setReplyTo(org.w3._2005._08.addressing.EndpointReferenceType _replyTo)

  Sets the addressing 'ReplyTo' attribute on the OSCI message. Including the URL for reply messages.
  Be careful with this setter because if the framework will put a 'ReplyTo' header into the SOAP message there will be two headers available.

  Parameters:
    `_replyTo` - The 'ReplyTo' attribute.

### setSelectionByRelatesTo

    public void setSelectionByRelatesTo(java.lang.String[] relatesToList,
                                        org.w3._2005._08.addressing.EndpointReferenceType endpoint)

  Selects OSCI messages by using the addressing 'RelatesTo' attribute.

  Parameters:
    `relatesToList` - A list of 'RelatesTo' Ids.
    `endpoint` - The endpoint that will be selected with this request.

### setSelectionAll

    public void setSelectionAll(boolean onlyNewElements,
                                org.w3._2005._08.addressing.EndpointReferenceType endpoint)

  Selects OSCI messages from the configured endpoint.

  Parameters:
    `onlyNewElements` - Selects that only new messages will be selected.
    `endpoint` - The endpoint (Address and TypeOfBusinessScenario) to select.

### setSelectionByDate

    public void setSelectionByDate(java.util.Date from,
                                   java.util.Date to,
                                   boolean onlyNewElements,
                                   org.w3._2005._08.addressing.EndpointReferenceType endpoint)
                            throws javax.xml.datatype.DatatypeConfigurationException

  Selects the OSCI messages from the given endpoint by using the creation time of the stored messages.

  Parameters:
    `from` - Starting date/time for the selection.
    `to` - End date/time for the selection.
    `onlyNewElements` - Selects that only new messages will be returned.
    `endpoint` - The endpoint (Address and TypeOfBusinessScenario) to select.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException` - If there are converting errors with the date objects.

### setSelectionByMessageId

    public void setSelectionByMessageId(java.lang.String[] messageIDList,
                                        org.w3._2005._08.addressing.EndpointReferenceType endpoint)

  Selects the message by giving the messageId directly.

  Parameters:
    `messageIDList` - A List of messageIds.
    `endpoint` - The endpoint (Address and TypeOfBusinessScenario) to select.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.